Linux Infrared Remote Control - use an easy to build home-brewn IR-receiver, an
(almost) arbitrary remote control and control your Linux box with it! More
about it at www.lirc.org. Be sure to read LIRC documentation before going ahead
in this README.

If you have installed the lirc-package, configure will autodetect it. If LIRC
support is enabled and an error occurs Geeqie will tell you on startup. The
application name for Geeqie is geeqie. Here is the list of supported commands:

DOWN [int]         - Move "camera" down by the specified amount. Default=1
EXIT               - Exit Geeqie
FIRST              - Jump to first image
INFO               - Show image information (full screen only)
LAST               - Jump to last image
LEFT [int]         - Move "camera" left by the specified amount. Default=1
NEXT               - Go to next image
PAUSE              - Pause/unpause slideshow
PREV               - Go to previous image
RIGHT [int]        - Move "camera" right by the specified amount. Default=1
ROTATE_90          - Rotate image 90 degrees clockwise.	
ROTATE_90_CC       - Rotate image 90 degrees counter-clockwise.
SET_INV_ZOOM [int] - Zoom to 1/Nx. Default=1x
SET_ZOOM [int]     - Zoom to Nx. Default=1x
UP [int]           - Move "camera" up by the specified amount. Default=1
ZOOM_IN [int]      - Zoom in. Value specifies the amount of zoom.
ZOOM_MAX           - Zoom to fit image
ZOOM_OUT [int]     - Zoom out. Value specifies the amount of zoom.

Don't forget to enable the repeat flag in .lircrc when it make sense
(directional buttons, zoom in and out, ...) 
Here's an excerpt from my .lircrc: 

begin geeqie
  begin
    prog = geeqie
    button = vol_up
    config = ZOOM_IN 1
    repeat = 3
  end
  begin
    prog = geeqie
    button = vol_down
    config = ZOOM_OUT 1
    repeat = 3
  end
  begin
    prog = geeqie
    button = down
    config = DOWN 10
    repeat = 1
  end
  begin
    prog = geeqie
    button = up
    config = UP 10
    repeat = 1
  end
  begin
    prog = geeqie
    button = right
    config = RIGHT 10
    repeat = 1
  end
  begin
    prog = geeqie
    button = left
    config = LEFT 10
    repeat = 1
  end
  begin
    prog = geeqie
    button = back
    config = PREV
  end
  begin
    prog = geeqie
    button = forw
    config = NEXT
  end
  begin
    prog = geeqie
    button = skip_back
    config = FIRST
  end
  begin
    prog = geeqie
    button = skip_forw
    config = LAST
  end
  begin
    prog = geeqie
    button = pause
    config = PAUSE
  end
  begin
    prog = geeqie
    button = surround
    config = SET_ZOOM
  end
  begin
    prog = geeqie
    button = 1
    config = ROTATE_90
  end
  begin
    prog = geeqie
    button = 2
    config = ROTATE_90_CC
  end
  begin
    prog = geeqie
    button = 3
    config = INFO
  end
  begin
    prog = geeqie
    button = 4
    config = EXIT
  end
end geeqie

At the moment Geeqie uses the standard location for the lirc-config file
(~/.lircrc).

LIRC support and documentation by Matteo Beniamino 
<beniamino@tautologica.org>.

(This file is 'inspired' by LIRC documentation from mplayer).
